Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.zest
Class ZestInput

    java.lang.Object
      org.eclipse.amp.axf.view.ModelInput
          org.eclipse.amp.agf.zest.ZestInput

    public class ZestInput

extends ModelInput

The Class ZestInput.

Field Summary
`(package private) IContentProvider` | `content`
`(package private) java.lang.Object` | `domainObject`
`(package private) ViewerFilter[]` | `filters`
`(package private) IBaseLabelProvider` | `label`

Fields inherited from class org.eclipse.amp.axf.view.ModelInput
`model, MODEL_IMAGE`

Constructor Summary
`ZestInput(IModel model, java.lang.Object domainObject, IContentProvider content, IBaseLabelProvider label, ViewerFilter[] filters)` Instantiates a new zest input.

Method Summary
`IContentProvider` | `getContent()` Gets the content.
`java.lang.Object` | `getDomainObject()` Gets the domain object.
`ViewerFilter[]` | `getFilters()` Gets the filters.
`IBaseLabelProvider` | `getLabel()` Gets the label.

Methods inherited from class org.eclipse.amp.axf.view.ModelInput
`exists, getAdapter, getImageDescriptor, getModel, getName, getPersistable, getSelection, getToolTipText, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domainObject

    java.lang.Object domainObject

### content

    IContentProvider content

### label

    IBaseLabelProvider label

### filters

    ViewerFilter[] filters

Constructor Detail

### ZestInput

    public ZestInput(IModel model,
                     java.lang.Object domainObject,
                     IContentProvider content,
                     IBaseLabelProvider label,
                     ViewerFilter[] filters)

  Instantiates a new zest input.

  Parameters:
    `model` - the model
    `domainObject` - the domain object
    `content` - the content
    `label` - the label
    `filters` - the filters

Method Detail

### getContent

    public IContentProvider getContent()

  Gets the content.

  Returns:
    the content

### getLabel

    public IBaseLabelProvider getLabel()

  Gets the label.

  Returns:
    the label

### getDomainObject

    public java.lang.Object getDomainObject()

  Gets the domain object.

  Returns:
    the domain object

### getFilters

    public ViewerFilter[] getFilters()

  Gets the filters.

  Returns:
    the filters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors